Welcome to Centmin Mod Community
Register Now

Install PHP-FPM PHP was not installed properly

Discussion in 'Install & Upgrades or Pre-Install Questions' started by pdinh97qng, May 9, 2021.

  1. pdinh97qng

    pdinh97qng Member

    106
    13
    18
    Jan 24, 2016
    Ratings:
    +34
    Local Time:
    4:51 PM
    @eva2000 Today I have a new installation via the cmd below:
    Code:
    yum -y update; curl -O https://centminmod.com/betainstaller80.sh && chmod 0700 betainstaller80.sh && bash betainstaller80.sh
    The problem is that I got the error "PHP was not installed properly" during the installation. After installtion, php -v return php command not found.
    My custom_config:
    Code:
    CRYPTO_DEVTOOLSETGCC='y'
    DEVTOOLSETNINE='y'
    DUALCERTS='y'
    ENABLEMOTD='n'
    GCC_FALIGN_FUNCTION='y'
    GENERAL_DEVTOOLSETGCC='y'
    LETSENCRYPT_DETECT='y'
    LUAJIT_GITINSTALL='n'
    MARCH_TARGETNATIVE='y'
    MARCH_TARGETNATIVE_ALWAYS='y'
    MARIADB_INSTALLTENFOUR='y'
    MEMCACHED_DISABLED='y'
    MEMCACHED_INSTALL='n'
    MM_LICENSE_KEY='xxx'
    NGINXBACKUP='n'
    NGINX_ADDITION='n'
    NGINX_BROTLIDEP_UPDATE='y'
    NGINX_CACHEPURGE='n'
    NGINX_DEVTOOLSETGCC='y'
    NGINX_DYNAMICTLS='y'
    NGINX_FANCYINDEX='n'
    NGINX_GEOIP='n'
    NGINX_HPACK='y'
    NGINX_HTTPREDIS='n'
    NGINX_IMAGEFILTER='n'
    NGINX_IPV='y'
    NGINX_LIBBROTLI='y'
    NGINX_SECURELINK='n'
    NGINX_STAPLE_CACHE_OVERRIDE='y'
    NGINX_STAPLE_CACHE_TTL='86400'
    NGINX_STICKY='n'
    NGINX_STREAM='n'
    NGINX_STREAMGEOIP='n'
    NGINX_STREAMREALIP='n'
    NGINX_STREAMSSLPREREAD='n'
    NGINX_SUB='n'
    NGXDYNAMIC_BROTLI='y'
    NSD_DISABLED='y'
    PHPFINFO='y'
    PHPGEOIP_ALWAYS='n'
    PHPINTL='n'
    PHPMAILPARSE='n'
    PHPPCNTL='n'
    PHPSNMP='n'
    PHP_ARGON='y'
    PHP_BROTLI='y'
    PHP_FTPEXT='n'
    PHP_LZF='y'
    PHP_LZFOUR='y'
    PHP_MCRYPTPECL='n'
    PHP_MEMCACHE='n'
    PHP_MEMCACHED='n'
    PHP_ZSTD='y'
    PRIORITIZE_CHACHA_OPENSSL='y'
    PUREFTPD_DISABLED='y'
    SET_DEFAULT_MYSQLCHARSET='utf8mb4'
    SSL_PROTOCOL_MODERN='y'
    VHOSTCTRL_AUTOPROTECTINC='n'
    VHOSTCTRL_CLOUDFLAREINC='y'
    ZONEINFO=America/Los_Angeles
    ZSTD_LOGROTATE_NGINX='y'
    ZSTD_LOGROTATE_PHPFPM='y'
    
    Installation log at (only valid for 24 hours): Context – share whatever you see with others in seconds

    • CentOS Version: CentOS 7 64bit
    • Centmin Mod Version Installed: 123.09beta01
    • Nginx Version Installed: 1.19.10


     
  2. pdinh97qng

    pdinh97qng Member

    106
    13
    18
    Jan 24, 2016
    Ratings:
    +34
    Local Time:
    4:51 PM
  3. jcat

    jcat Member

    134
    19
    18
    Jun 21, 2015
    New Jersey
    Ratings:
    +53
    Local Time:
    7:51 PM
    Having the same issue, its due to libzip.org lettingtheir domaine expire :facepalm:

    Whois libzip.org

    Code:
    wget -c4 --progress=bar https://libzip.org/download/libzip-1.7.3.tar.gz --tries=3
    --2021-05-09 08:36:01--  https://libzip.org/download/libzip-1.7.3.tar.gz
    Resolving libzip.org... 5.2.73.210
    Connecting to libzip.org|5.2.73.210|:443... failed: Connection refused.
    Error: libzip-1.7.3.tar.gz download failed.
    
     
  4. jcat

    jcat Member

    134
    19
    18
    Jun 21, 2015
    New Jersey
    Ratings:
    +53
    Local Time:
    7:51 PM
    For now, just wget it before you run the upgrade.

    Code:
    wget -O /svr-setup/libzip-1.7.3.tar.gz https://github.com/nih-at/libzip/releases/download/v1.7.3/libzip-1.7.3.tar.gz
     
  5. jcat

    jcat Member

    134
    19
    18
    Jun 21, 2015
    New Jersey
    Ratings:
    +53
    Local Time:
    7:51 PM
    Looks like they renewed it and download is back online :)
     
  6. eva2000

    eva2000 Administrator Staff Member

    47,294
    10,705
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,630
    Local Time:
    9:51 AM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Very nice catch! (y)